### Hierarchy

- XmlComponent
  - TableCellBorders

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- isDeleted

### Methods

- addBottomBorder
- addChildElement
- addEndBorder
- addStartBorder
- addTopBorder
- delete
- prepForXml

## Constructors

### constructor

- new TableCellBorders(): TableCellBorders

- Overrides XmlComponent.constructor

  - Defined in file/table/table-cell.ts:56

  #### Returns TableCellBorders

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: Array<BaseXmlComponent | string>

Inherited from XmlComponent.root

- Defined in file/xml-components/xml-component.ts:6

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addBottomBorder

- addBottomBorder(style: BorderStyle, size: number, color: string): TableCellBorders

- - Defined in file/table/table-cell.ts:81

  #### Parameters

  - ##### style: BorderStyle

  - ##### size: number

  - ##### color: string

  #### Returns TableCellBorders

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addEndBorder

- addEndBorder(style: BorderStyle, size: number, color: string): TableCellBorders

- - Defined in file/table/table-cell.ts:89

  #### Parameters

  - ##### style: BorderStyle

  - ##### size: number

  - ##### color: string

  #### Returns TableCellBorders

### addStartBorder

- addStartBorder(style: BorderStyle, size: number, color: string): TableCellBorders

- - Defined in file/table/table-cell.ts:73

  #### Parameters

  - ##### style: BorderStyle

  - ##### size: number

  - ##### color: string

  #### Returns TableCellBorders

### addTopBorder

- addTopBorder(style: BorderStyle, size: number, color: string): TableCellBorders

- - Defined in file/table/table-cell.ts:65

  #### Parameters

  - ##### style: BorderStyle

  - ##### size: number

  - ##### color: string

  #### Returns TableCellBorders

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject

- Overrides XmlComponent.prepForXml

  - Defined in file/table/table-cell.ts:61

  #### Returns IXmlableObject

Generated using TypeDoc